#!/bin/bash

# configure-wpa_gui.sh

# Copyright: David Hare, April 2011
# License: GPL-3
# Traducción (espanol): Alexis Puente Montiel, < alexispm_stellaluna@yahoo.es >
# setup wpa_gui

TEXTDOMAIN=configure-wpagui.sh
TEXTDOMAINDIR=/usr/share/locale/


# detect system language
SCRIPTLANG=$(env | egrep 'LC|LANG' | grep -o 'es_')

#if [ "$SCRIPTLANG" = "es_" ]; then 

	#  if exists, call alt language subscript (if exists) and exit
#	if [ -f "/usr/local/bin/exegnu-scripts-es/configure-wpagui-es.sh" ]; then
#	/usr/local/bin/exegnu-scripts-es/configure-wpagui-es.sh
	# stop this script
#	exit 1
#	fi
#fi

#check for root
#
	if [[ $EUID -ne 0 ]]; then
	echo $"This script must be run as root." 1>&2
	tput sgr0
  	 exit 1
	fi

# check for live-cd session
if [ "$(ls /home)" = "user" ]; then 
echo ""
echo $"We appear to be in a live-cd session... wpa_gui may not work as expected."
fi

echo ""
echo $"This script is experimental. It will overwrite existing network configs."
echo $"If it fails to identify the right network devices you must manually edit:"
echo $"/etc/network/interfaces and /etc/wpa_supplicant/wpa_supplicant.conf"
echo ""
echo $"Continue?   (y/n)"
echo ""
read REPLY

	if [ ! "$REPLY" = $"y" ]; then
	exit
	fi

# find $ETH and $WLAN **warning for  more than one of each?
ETH=$(ifconfig -a|grep eth|awk '{print $1}')
WLAN=$(ifconfig -a|grep wlan|awk '{print $1}')

if [ "$WLAN" = "" ]; then
echo ""
echo $"No wlan device was detected."
echo ""
exit
fi

echo $"Setting up wpa_gui to use $WLAN ..................."

# stop any running networks
ifdown $ETH
ifdown $WLAN

# write /etc/wpa_supplicant/wpa_supplicant.conf with one (disabled) entry for "open network"


cat > /etc/wpa_supplicant/wpa_supplicant.conf <<EOF

ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
update_config=1

network={
	key_mgmt=NONE
	disabled=1
}

EOF

chmod 600 /etc/wpa_supplicant/wpa_supplicant.conf

#########################################################################

# write  /etc/network/interfaces

cat > /etc/network/interfaces <<EOF

auto lo
iface lo inet loopback

allow-hotplug $ETH
iface $ETH inet dhcp

allow-hotplug $WLAN
iface $WLAN inet manual
wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf
iface default inet dhcp

EOF

ifup  $WLAN
