#!/bin/bash

# script name: synaptics.sh
# script location: /usr/local/bin
# sets up laptop touchpad

# run as  user 

#

# detect system language
SCRIPTLANG=$(env | egrep 'LC|LANG' | grep -o 'es_')

if [ "$SCRIPTLANG" = "es_" ]; then 
ERRORDIALOG="Este script no debe ser ejecutado como administrador o superusuario (root)."
else
ERRORDIALOG="This script should not be run as root."	
fi

# check for root
	if [[ ! $EUID -ne 0 ]]; then
	   echo "$ERRORDIALOG" 1>&2
	tput sgr0
  	 exit 1
	fi


####### trinity autostart

if [ -e ~/.trinity/Autostart ]; then

cat > ~/.trinity/Autostart/synaptics.sh <<EOF
#!/bin/bash

# user script to enable touchpad

synclient TapButton1=1 LBCornerButton=2 RBCornerButton=3 MaxTapTime=140 SingleTapTimeout=140 MaxDoubleTapTime=140

EOF

chmod 755 ~/.trinity/Autostart/synaptics.sh

fi

########## lxde autostart
if [ -e ~/.config/autostart ]; then
cat > ~/.config/autostart/synaptics.sh <<EOF
#!/bin/bash

# user script to enable touchpad

synclient TapButton1=1 LBCornerButton=2 RBCornerButton=3 MaxTapTime=140 SingleTapTimeout=140 MaxDoubleTapTime=140

EOF

chmod 755 ~/.config/autostart/synaptics.sh

fi
# execute now

synclient TapButton1=1 LBCornerButton=2 RBCornerButton=3 MaxTapTime=140 SingleTapTimeout=140 MaxDoubleTapTime=140
echo ""
